clearvars
close all

% Compute VI

files = listH5Files([pwd '/vi/01/']);
kernels = dir([pwd '/VI/01/*_kernel.dat']);
Ke = load(kernels(1).name);

VI = VIcurve(files, Ke);

% Compute fI

files = listH5Files([pwd '/fi/01/']);
kernels = dir([pwd '/fI/01/*_kernel.dat']);
Ke = load(kernels(1).name);

[fI, AP1, AP2, AP_averageSpike] = fIcurveV2(files, Ke);

% Compute ramp

files = listH5Files([pwd '/ramp/01/']);
kernels = dir([pwd '/ramp/01/*_kernel.dat']);
Ke = load(kernels(1).name);

ramp = ramp(files, Ke);

% Compute tau

files = listH5Files([pwd '/tau/01/']);
kernels = dir([pwd '/tau/01/*_kernel.dat']);
Ke = load(kernels(1).name);

tau = tau(files, Ke);

% Compute tf

if exist([pwd '/tf'], 'dir')
    files = listH5Files([pwd '/tf/']);
    kernels = dir([pwd '/tf/*_kernel.dat']);
    Ke = load(kernels(1).name);

    tf = TF_noShuff(files, Ke);
end 




